Bug 104630 - Auto errata updates not working
Summary: Auto errata updates not working
Status: CLOSED DUPLICATE of bug 98907
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site   
(Show other bugs)
Version: RHN Stable
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-18 04:26 UTC by Howard Holm
Modified: 2007-04-18 16:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:58:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Howard Holm 2003-09-18 04:26:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I have two hosts with a basic entitlement.  Both hosts have "Auto Errata
Updates" set to "yes" which is verified on the details page for each host. 
Neither host will auto update.  Critical updates have repeatedly become
available, with notification to me by e-mail.  As much as 12-24 hours after
notification I can log in to Red Hat network, see critical updates available,
see that the hosts both hosts have been checking in on schedule, and that no
automatic updates have been done or are scheduled.  Manually running up2date
correctly notes that updates exist and updates the systems.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Wait for critical update to be released
2.
3.
    

Additional info:

It is dangerously misleading for security to believe your hosts are
automatically receiving updates when they must be performed manually.

Comment 1 Josef Komenda 2003-09-18 13:15:06 UTC
More information please, what version(s) of RH Linux are you running, what
recent critical errata have not auto-applied. 

Also, please provide the results of: 

rpm -q up2date
grep -e SkipList= /etc/sysconfig/rhn/up2date





Comment 2 Howard Holm 2003-09-19 01:13:14 UTC
I'm running Red Hat 9 with all errata applied

# rpm -q up2date
up2date-3.1.23.2-1

# grep -e SkipList= /etc/sysconfig/rhn/up2date
pkgSkipList=;
fileSkipList=;
removeSkipList=kernel*;

The recent openssh and sendmail errata required manual updates, as did gtk-html
when it came out last week.

Comment 3 Josh Bressers 2004-06-18 16:18:06 UTC
Removing security status given this issue isn't really a security flaw.

Comment 4 Martin C. Messer 2004-08-31 04:53:27 UTC

*** This bug has been marked as a duplicate of 98907 ***

Comment 5 Red Hat Bugzilla 2006-02-21 18:58:36 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.